<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_0788425a894" . "77a5f6ac1bd2" . "ceb434967" => base64_decode("RVJST1I6OiBVbmtu" . "b3duIHBlcmlvZCAt" . "IA=="), "_e2ecb80cd1b605a951ad" . "84d608101ac4" => base64_decode("bW9u" . "dGg="), "_a8fa98c95a8a496939eae" . "bfef66865b4" => base64_decode("d2V" . "law" . "=="), "_950c864c3fc8d7c4db561eea71d" . "4aca9" => base64_decode("eWV" . "hcg" . "=="), "_07e0706709a15" . "e456d6664d4990" . "40d73" => base64_decode("Yml3Z" . "WVr"));






class HpDateInterval
{
    
    
    
    
    
    
    protected $start_date;
    
    
    
    
    
    
    protected $end_date;
    protected $processer;
    
    
    public function SetStartDate(Date $_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->start_date = $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    public function SetEndDate(Date $_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->end_date = $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    public function SetPeriod($_68865ed7b59f5ee9253afff85b97015b)
    {
        switch ($_68865ed7b59f5ee9253afff85b97015b) {
            case $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_a8fa98c95a8a" . "496939eaebfef" . "66865b4"]:
                $this->processer = new HpDateIntervalWeek();
                break;
            case $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_07e0706709a15e4" . "56d6664d499040d7" . "3"]:
                $this->processer = new HpDateIntervalBiWeek();
                break;
            case $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_e2ecb80cd1b605" . "a951ad84d608101" . "ac4"]:
                $this->processer = new HpDateIntervalMonth();
                break;
            case $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_950c864c3fc8d7c4db561e" . "ea71d4aca9"]:
                $this->processer = new HpDateIntervalYear();
                break;
            default:
                throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_0788425a8" . "9477a5f6ac" . "1bd2ceb434" . "967"] . $_68865ed7b59f5ee9253afff85b97015b);
        }
    }
    public function GetIntervalsArray()
    {
        return $this->processer->GetIntervalsArray($this->start_date, $this->end_date);
    }
}